Bug 1846050 - [abrt] gnome-feeds: guess_decode(): util.py:310:guess_decode:AttributeError: 'NoneType' object has no attribute 'decode'
Summary: [abrt] gnome-feeds: guess_decode(): util.py:310:guess_decode:AttributeError: ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-feeds
Version: 32
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2f030d90c9746c06c385a2c8057...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-10 16:17 UTC by Evan
Modified: 2020-08-17 01:13 UTC (History)
1 user (show)

Fixed In Version: gnome-feeds-0.14.1-3.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-17 01:13:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.80 KB, text/plain)
2020-06-10 16:17 UTC, Evan
no flags Details
File: cpuinfo (2.50 KB, text/plain)
2020-06-10 16:17 UTC, Evan
no flags Details
File: environ (1.74 KB, text/plain)
2020-06-10 16:17 UTC, Evan
no flags Details
File: mountinfo (2.50 KB, text/plain)
2020-06-10 16:17 UTC, Evan
no flags Details
File: namespaces (172 bytes, text/plain)
2020-06-10 16:17 UTC, Evan
no flags Details
File: open_fds (3.04 KB, text/plain)
2020-06-10 16:17 UTC, Evan
no flags Details

Description Evan 2020-06-10 16:17:13 UTC
Description of problem:
I was scrolling through my list of feed items using ctrl+j, that's it.

Version-Release number of selected component:
gnome-feeds-0.13.4-4.fc32

Additional info:
reporter:       libreport-2.13.1
cgroup:         0::/user.slice/user-1000.slice/user/gnome-launched-org.gabmus.gfeeds.desktop-298233.scope
cmdline:        /usr/bin/python3 /usr/bin/gfeeds
crash_function: guess_decode
exception_type: AttributeError
executable:     /usr/bin/gfeeds
interpreter:    python3-3.8.3-1.fc32.x86_64
kernel:         5.6.16-300.fc32.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
util.py:310:guess_decode:AttributeError: 'NoneType' object has no attribute 'decode'

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/gfeeds/app_window.py", line 244, in on_sidebar_row_activated
    self.webview.load_feeditem(row.feeditem)
  File "/usr/lib/python3.8/site-packages/gfeeds/webview.py", line 193, in load_feeditem
    self.set_enable_rss_content(True, feeditem)
  File "/usr/lib/python3.8/site-packages/gfeeds/webview.py", line 128, in set_enable_rss_content
    self._load_rss_content(self.feeditem)
  File "/usr/lib/python3.8/site-packages/gfeeds/webview.py", line 159, in _load_rss_content
    self.set_enable_reader_mode(True, True)
  File "/usr/lib/python3.8/site-packages/gfeeds/webview.py", line 264, in set_enable_reader_mode
    self._set_enable_reader_mode_async_callback()
  File "/usr/lib/python3.8/site-packages/gfeeds/webview.py", line 237, in _set_enable_reader_mode_async_callback
    self.webkitview.load_html(build_reader_html(
  File "/usr/lib/python3.8/site-packages/gfeeds/build_reader_html.py", line 110, in build_reader_html
    syntax_highlight_css, root = build_syntax_highlight_from_raw_html(content)
  File "/usr/lib/python3.8/site-packages/gfeeds/build_reader_html.py", line 78, in build_syntax_highlight_from_raw_html
    return build_syntax_highlight(
  File "/usr/lib/python3.8/site-packages/gfeeds/build_reader_html.py", line 59, in build_syntax_highlight
    lexer = pygments.lexers.guess_lexer(code_node.text)
  File "/usr/lib/python3.8/site-packages/pygments/lexers/__init__.py", line 297, in guess_lexer
    _text, _ = guess_decode(_text)
  File "/usr/lib/python3.8/site-packages/pygments/util.py", line 310, in guess_decode
    text = text.decode('utf-8')
AttributeError: 'NoneType' object has no attribute 'decode'

Local variables in innermost frame:
text: None

Comment 1 Evan 2020-06-10 16:17:16 UTC
Created attachment 1696544 [details]
File: backtrace

Comment 2 Evan 2020-06-10 16:17:17 UTC
Created attachment 1696545 [details]
File: cpuinfo

Comment 3 Evan 2020-06-10 16:17:18 UTC
Created attachment 1696546 [details]
File: environ

Comment 4 Evan 2020-06-10 16:17:19 UTC
Created attachment 1696547 [details]
File: mountinfo

Comment 5 Evan 2020-06-10 16:17:20 UTC
Created attachment 1696548 [details]
File: namespaces

Comment 6 Evan 2020-06-10 16:17:21 UTC
Created attachment 1696549 [details]
File: open_fds

Comment 7 Fedora Update System 2020-07-20 09:43:17 UTC
FEDORA-2020-1dca57792f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1dca57792f

Comment 8 Fedora Update System 2020-07-21 01:37:16 UTC
FEDORA-2020-1dca57792f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1dca57792f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1dca57792f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-08-10 00:39:40 UTC
FEDORA-2020-10d34cd500 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-10d34cd500`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-10d34cd500

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-08-17 01:13:10 UTC
FEDORA-2020-10d34cd500 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.